package com.qianhe.mapper;

import com.qianhe.domain.SjGfjsZsdwfjxcj;

import java.util.List;

/**
 * 规范建设-直属单位否决项采集Mapper接口
 * 
 * @author qianhe
 * @date 2024-07-24
 */
public interface SjGfjsZsdwfjxcjMapper
{
    /**
     * 查询规范建设-直属单位否决项采集
     * 
     * @param id 规范建设-直属单位否决项采集主键
     * @return 规范建设-直属单位否决项采集
     */
    public SjGfjsZsdwfjxcj selectSjGfjsZsdwfjxcjById(Long id);

    /**
     * 查询规范建设-直属单位否决项采集列表
     * 
     * @param sjGfjsZsdwfjxcj 规范建设-直属单位否决项采集
     * @return 规范建设-直属单位否决项采集集合
     */
    public List<SjGfjsZsdwfjxcj> selectSjGfjsZsdwfjxcjList(SjGfjsZsdwfjxcj sjGfjsZsdwfjxcj);

    /**
     * 新增规范建设-直属单位否决项采集
     * 
     * @param sjGfjsZsdwfjxcj 规范建设-直属单位否决项采集
     * @return 结果
     */
    public int insertSjGfjsZsdwfjxcj(SjGfjsZsdwfjxcj sjGfjsZsdwfjxcj);

    /**
     * 修改规范建设-直属单位否决项采集
     * 
     * @param sjGfjsZsdwfjxcj 规范建设-直属单位否决项采集
     * @return 结果
     */
    public int updateSjGfjsZsdwfjxcj(SjGfjsZsdwfjxcj sjGfjsZsdwfjxcj);

    /**
     * 删除规范建设-直属单位否决项采集
     * 
     * @param id 规范建设-直属单位否决项采集主键
     * @return 结果
     */
    public int deleteSjGfjsZsdwfjxcjById(Long id);

    /**
     * 批量删除规范建设-直属单位否决项采集
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSjGfjsZsdwfjxcjByIds(Long[] ids);


    int batchSave(List<SjGfjsZsdwfjxcj> list);
    int plxg(SjGfjsZsdwfjxcj sjGfjsZsdwfjxcj);


}
